Index: DataLoader/readers/ascii_reader.py
===================================================================
--- DataLoader/readers/ascii_reader.py	(revision fca90f826e46e090353be593a04ab978b84efae5)
+++ DataLoader/readers/ascii_reader.py	(revision a7a5886e7fa30dd75a5a77d68a58574c9246f27f)
@@ -36,5 +36,5 @@
             "ASCII files (*.abs)|*.abs"]
     ## List of allowed extensions
-    ext=['.txt', '.TXT', '.dat', '.DAT', '.abs', '.ABS']  
+    ext = ['.txt', '.TXT', '.dat', '.DAT', '.abs', '.ABS']  
     
     ## Flag to bypass extension check
@@ -54,5 +54,5 @@
         if os.path.isfile(path):
             basename  = os.path.basename(path)
-            root, extension = os.path.splitext(basename)
+            _, extension = os.path.splitext(basename)
             if self.allow_all or extension.lower() in self.ext:
                 try:
@@ -63,6 +63,8 @@
                 lines = buff.split('\n')
                 
-                #Jae could not find python universal line spliter: keep the below for now
-                # some ascii data has \r line separator, try it when the data is on only one long line
+                #Jae could not find python universal line spliter: 
+                #keep the below for now
+                # some ascii data has \r line separator,
+                # try it when the data is on only one long line
                 if len(lines) < 2 : 
                     lines = buff.split('\r')
@@ -103,15 +105,19 @@
                 #Initialize counters for data lines and header lines.
                 is_data = False #Has more than 5 lines
-                mum_data_lines = 5 # More than "5" lines of data is considered as actual data unless that is the only data
-
-                i=-1            # To count # of current data candidate lines
-                i1=-1           # To count total # of previous data candidate lines
-                j=-1            # To count # of header lines
-                j1=-1           # Helps to count # of header lines
-                lentoks = 2     # minimum required number of columns of data; ( <= 4).
-                
+                # More than "5" lines of data is considered as actual
+                # data unless that is the only data
+                mum_data_lines = 5 
+                # To count # of current data candidate lines
+                i = -1  
+                # To count total # of previous data candidate lines          
+                i1 = -1 
+                # To count # of header lines          
+                j = -1
+                # Helps to count # of header lines            
+                j1 = -1
+                #minimum required number of columns of data; ( <= 4).           
+                lentoks = 2     
                 for line in lines:
                     toks = line.split()
-                    
                     try:
                         #Make sure that all columns are numbers.
@@ -140,5 +146,5 @@
                         # third column.
                         _dy = None
-                        if len(toks)>2:
+                        if len(toks) > 2:
                             try:
                                 _dy = float(toks[2])
@@ -158,5 +164,5 @@
                         #Check for dx
                         _dx = None
-                        if len(toks)>3:
+                        if len(toks) > 3:
                             try:
                                 _dx = float(toks[3])
@@ -174,10 +180,13 @@
                             has_error_dx = False if _dx == None else True
                         
-                        #After talked with PB, we decided to take care of only 4 columns of data for now.
+                        #After talked with PB, we decided to take care of only 
+                        # 4 columns of data for now.
                         #number of columns in the current line
-                        #To remember the # of columns in the current line of data
+                        #To remember the # of columns in the current 
+                        #line of data
                         new_lentoks = len(toks)
                         
-                        #If the previous columns not equal to the current, mark the previous as non-data and reset the dependents.  
+                        #If the previous columns not equal to the current, 
+                        #mark the previous as non-data and reset the dependents.  
                         if lentoks != new_lentoks :
                             if is_data == True:
@@ -190,10 +199,11 @@
                             
                             
-                        #Delete the previously stored lines of data candidates if is not data.
-                        if i < 0 and -1< i1 < mum_data_lines and is_data == False:
+                        #Delete the previously stored lines of data candidates
+                        # if is not data.
+                        if i < 0 and -1 < i1 < mum_data_lines and \
+                            is_data == False:
                             try:
-                                x= numpy.zeros(0)
-                                y= numpy.zeros(0)
-                                
+                                x = numpy.zeros(0)
+                                y = numpy.zeros(0)
                             except:
                                 pass
@@ -203,6 +213,8 @@
                         
                         if has_error_dy == True:
-                            #Delete the previously stored lines of data candidates if is not data.
-                            if i < 0 and -1< i1 < mum_data_lines and is_data== False:
+                            #Delete the previously stored lines of
+                            # data candidates if is not data.
+                            if i < 0 and -1 < i1 < mum_data_lines and \
+                                is_data == False:
                                 try:
                                     dy = numpy.zeros(0)  
@@ -212,6 +224,8 @@
                             
                         if has_error_dx == True:
-                            #Delete the previously stored lines of data candidates if is not data.
-                            if i < 0 and -1< i1 < mum_data_lines and is_data== False:
+                            #Delete the previously stored lines of
+                            # data candidates if is not data.
+                            if i < 0 and -1 < i1 < mum_data_lines and \
+                                is_data == False:
                                 try:
                                     dx = numpy.zeros(0)                            
@@ -221,11 +235,13 @@
                             
                         #Same for temp.
-                        #Delete the previously stored lines of data candidates if is not data.
-                        if i < 0 and -1< i1 < mum_data_lines and is_data== False:
+                        #Delete the previously stored lines of data candidates
+                        # if is not data.
+                        if i < 0 and -1 < i1 < mum_data_lines and\
+                            is_data == False:
                             try:
                                 tx = numpy.zeros(0)
                                 ty = numpy.zeros(0)
                             except:
-                                pass                                                               
+                                pass                                                           
 
                         tx  = numpy.append(tx,   _x) 
@@ -233,6 +249,8 @@
                         
                         if has_error_dy == True:
-                            #Delete the previously stored lines of data candidates if is not data.
-                            if i < 0 and -1<i1 < mum_data_lines and is_data== False:
+                            #Delete the previously stored lines of
+                            # data candidates if is not data.
+                            if i < 0 and -1 < i1 < mum_data_lines and \
+                                is_data == False:
                                 try:
                                     tdy = numpy.zeros(0)
@@ -241,24 +259,27 @@
                             tdy = numpy.append(tdy, _dy)
                         if has_error_dx == True:
-                            #Delete the previously stored lines of data candidates if is not data.
-                            if i < 0 and -1< i1 < mum_data_lines and is_data== False:
+                            #Delete the previously stored lines of
+                            # data candidates if is not data.
+                            if i < 0 and -1 < i1 < mum_data_lines and \
+                                is_data == False:
                                 try:
                                     tdx = numpy.zeros(0)
                                 except:
-                                    pass                                                                                                             
+                                    pass                                                                                                          
                             tdx = numpy.append(tdx, _dx)
 
                         #reset i1 and flag lentoks for the next
-                        if lentoks < new_lentoks :
+                        if lentoks < new_lentoks:
                             if is_data == False:
                                 i1 = -1                            
-                        #To remember the # of columns on the current line for the next line of data
+                        #To remember the # of columns on the current line
+                        # for the next line of data
                         lentoks = len(toks)
                         
-                        #Reset # of header lines and counts # of data candidate lines    
-                        if j == 0 and j1 ==0:
+                        #Reset # of header lines and counts # 
+                        # of data candidate lines    
+                        if j == 0 and j1 == 0:
                             i1 = i + 1                            
-                        i+=1
-                        
+                        i += 1
                     except:
 
@@ -268,6 +289,6 @@
                         lentoks = 2
                         #Counting # of header lines                    
-                        j+=1
-                        if j == j1+1:
+                        j += 1
+                        if j == j1 + 1:
                             j1 = j                            
                         else:                            
@@ -279,19 +300,20 @@
                         pass
                     
-    
                 input_f.close()     
                 # Sanity check
                 if has_error_dy == True and not len(y) == len(dy):
-                    raise RuntimeError, "ascii_reader: y and dy have different length"
+                    msg = "ascii_reader: y and dy have different length"
+                    raise RuntimeError, msg
                 if has_error_dx == True and not len(x) == len(dx):
-                    raise RuntimeError, "ascii_reader: y and dy have different length"
-
+                    msg = "ascii_reader: y and dy have different length"
+                    raise RuntimeError, msg
                 # If the data length is zero, consider this as
                 # though we were not able to read the file.
-                if len(x)==0:
+                if len(x) == 0:
                     raise RuntimeError, "ascii_reader: could not load file"
                 
-                #Let's re-order the data to make cal. curve look better some cases
-                ind = numpy.lexsort((ty,tx))
+                #Let's re-order the data to make cal.
+                # curve look better some cases
+                ind = numpy.lexsort((ty, tx))
                 for i in ind:
                     x[i] = tx[ind[i]]
@@ -301,6 +323,4 @@
                     if has_error_dx == True:
                         dx[i] = tdx[ind[i]]
-                
-                
                 #Data    
                 output.x = x
Index: DataLoader/readers/associations.py
===================================================================
--- DataLoader/readers/associations.py	(revision 0997158f0d11874fd896ee66b3bb468898c9bb2b)
+++ DataLoader/readers/associations.py	(revision a7a5886e7fa30dd75a5a77d68a58574c9246f27f)
@@ -19,5 +19,6 @@
 """
 
-import os, sys
+import os
+import sys
 import logging
 from lxml import etree 
@@ -52,5 +53,6 @@
         
         # Read in the file extension associations
-        entry_list = root.xpath('/ns:SansLoader/ns:FileType', namespaces={'ns': VERSION})
+        entry_list = root.xpath('/ns:SansLoader/ns:FileType',
+                                 namespaces={'ns': VERSION})
 
         # For each FileType entry, get the associated reader and extension
@@ -61,12 +63,16 @@
             if reader is not None and ext is not None:
                 # Associate the extension with a particular reader
-                # TODO: Modify the Register code to be case-insensitive and remove the
-                #       extra line below.
+                # TODO: Modify the Register code to be case-insensitive 
+                # and remove the extra line below.
                 try:
                     exec "import %s" % reader
-                    exec "loader.associate_file_type('%s', %s)" % (ext.lower(), reader)
-                    exec "loader.associate_file_type('%s', %s)" % (ext.upper(), reader)
+                    exec "loader.associate_file_type('%s', %s)" % (ext.lower(),
+                                                                    reader)
+                    exec "loader.associate_file_type('%s', %s)" % (ext.upper(),
+                                                                    reader)
                 except:
-                    logging.error("read_associations: skipping association for %s\n  %s" % (attr['extension'], sys.exc_value))
+                    msg = "read_associations: skipping association"
+                    msg += " for %s\n  %s" % (attr['extension'], sys.exc_value)
+                    logging.error(msg)
          
          
